* {
    margin: 0;
    
}
body {
    height: 100%;
    // height: 100vh;
    background-color: #000;
}



body.intro {
    background-color: black;
    .welcome {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
    }
    
    .heading {
        color: #eee;
        font-size: 5rem;
        font-weight: 300;
        text-transform: uppercase;
        
    }
}

h1.heading {
    color: white;
}
body.body-panier,body.body-page-produit {
    height: 100vh;
}

body.order-body{
    height: 100%;
    background-color: #000;
}

.test {
    display: flex;

}

.container{
    position: fixed;
}

body.intro {
    text-align: center;
    background-color: black;
    color: white;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 25%;
    font-size: 4rem;

    .welcome-page-h1{
        margin-top: 10px;
        font-size: 1.2rem;
        font-weight: 300;
    }
}


// ASIDE MAIN PAGE ///

aside {
    
    display: inline-block;
    width: 20%;
    height: 100%;
    background-color: #000000;
    position: relative;
    border-right: 1px solid white;

    h1{
    text-align: center;
    border: none;
    margin-top: 30px;
    color: red;
    font-size: 24px;
    margin-bottom: 60px;
    }

    a.btn{
        text-align: center;
        border: none;
        margin-top: 30px;
        color: red;
        font-size: 24px;
        margin-bottom: 60px;
        text-decoration: none;
    }

    .mangatheque-title{
        text-align: center;
        margin-bottom: 60px;
        margin-top: 30px;
    }

    a{
        font-size: 20px;
    }

    body#text {
        
    }
    
    

   

   


    li {
  color: #000;
  position: relative;
  text-decoration: none;
  

 


}



    //COLOR ICONS //
    p, li {
        color: #f5f7fa;
    }

    i.fas.fa-search.fa-2x {
        margin-right: 6%;
    }

    i.fas.fa-shopping-basket.fa-2x {
        margin-right: 4%;
    }

    i.far.fa-newspaper.fa-2x {
        margin-right: 6%;
    }

    i.fas.fa-book.fa-2x {
        margin-right: 9%;
    }

    i.fas.fa-user-circle {
        margin-right: 3%;
        color: #ffffff;
    }
    .account {
        position: absolute;
        left: 0; 
        right: 0; 
        margin-left: auto; 
        margin-right: auto; 
        bottom: 0;
        margin-bottom: 10px;
    }

    .account p, .account a {
        text-align: center;
        color: rgba(299, 229, 231, 1);
        font-size: 25px;
        text-decoration: none;
        
    }
    nav a {
        text-decoration: none;
        width: 100%;
        color: rgba(299, 229, 231, 1);
        vertical-align: bottom;
    }

    ul.nav-ul {
        padding: 0;
    }

    .nav-ul li {
        list-style: none;
        margin: auto;
        margin-bottom: 31px;    
    }

    .nav-ul li:hover {
        background-color: rgb(48,48,48);
        border-radius: 8px;
        transition: .5s linear, background-size .3s .2s linear;
        
    }


    nav li {
        width: 150px;
    }

    .account p:hover {
        background-color: rgb(48,48,48);
        border-radius: 8px;
        transition: .5s linear, background-size .3s .2s linear;
    }

    // COLOR FOCUS //
    li#index-color, li#recherche-color, li#collection-color, li#panier-color {
        background-color: rgb(48, 48, 48);
        border-radius: 8px;
        padding: 6px;
    }

    p#account-color2, p#account-color{
        background-color: rgb(48, 48, 48);
        border-radius: 8px; 
    }


    a#index-color-a-index, a#index-color-a-collection, a#index-color-a-recherche, a#index-color-a-panier, a#index-color-a-account, a#index-color-a-account2 {
        color: red;
    }


}


//SECTION //

section {
    display: inline-block;
    border-left: 1px solid white;
    width: 80%;
    height: 100%;
    background-color: rgb(6, 6, 6);
    vertical-align: top;
    margin-left: 20%;

    .container-flex-collections {
        display: flex;
        flex-direction: column;
    }

    .card-collection {
        display: flex;
        gap: 20px;
        margin-bottom: 20px;
        margin-left: 10px;
        border-bottom: 1px solid white;
        padding-bottom: 20px;
    }

    .card-collection-img{
        width: 10%;
    }

    .card-collection-img img {
        -o-object-fit: fill;
        object-fit: fill;
        width: 100%;
        height: 100%;
        border-radius: 5px;
    }
    .top-div {
        display: flex;
        justify-content: space-between;
    }

    .topnav {
        align-self: flex-end;
        margin-bottom: 5px;
        margin-right: 5px;
    }

    input[type=text] {
        
    background-color: gray;
    border-radius: 6px;
    padding: 5px;
    color: white;
    width: 161px;

    }

    ::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
        color: white;
        opacity: 1; /* Firefox */
      }
    
    .top-h1 {
        margin-bottom: 20px;
    }  

    h1 {
        color: rgba(299, 229, 231, 1);
        margin-left: 12px;
        margin-top: 18px;
        margin-bottom: 5px;

    }

    .line {
        border-bottom: 1px solid white;
        margin-bottom: 20px;
    }

    
    .card-image img{
        width: 100px;
        height: 100px;
        
    }

    .container-flex {
        display: flex;
        justify-content: center;
        flex-wrap: wrap;
        row-gap: 50px;
        column-gap: 20px;
        margin-bottom: 28px;

    }

    .card {
        width: 23%
    }

    .card img {
        object-fit: fill;
        width: 100%;
        height: 100%;
        border-radius: 5px;  
    }

    .title-manga{
        color: rgba(299, 229, 231, 1);
        font-size: 20px;
        margin-left: 10px;
        font-weight: bold;
    }
    .title-manga-collection{
        color: red;
        margin-left: 10px;
        font-weight: bold;
        font-size: 25px;
    }

    .recherche-navbar{
        display: flex;
        justify-content: space-between;
        margin-top: 10px;
    }

    .recherche-input {
        position: relative;
    }

    .recherche-input i.fas.fa-search {
        color: white;
        position: absolute;
        left: 2;
        left: 19px;
        top: 13px;
    }

    .recherche-navbar input[type=text] {
        background-color:rgb(48,48,48);
        border-radius: 13px;
        padding: 5px;
        color: white;
        width: 364px;
        border: 1px solid gray;
        margin-left: 10px;
        margin-bottom: 10px;
        padding-left: 30px;
        margin-top: 7px;
    }

    .recherche-navbar input[type=text]:focus{
        border-color: gray;
        
    }

    .recherche-navbar button {
        background-color: #080808; /* Green */
        border: none;
        color: red;
        text-align: center;
        text-decoration: none;
        display: inline-block;
        font-size: 16px;
        margin: 4px 2px;
        border-radius: 23px;
      }

    .recherche-navbar button:hover {
        background-color: rgb(48,48,48);
        border-radius: 8px;
        transition: .5s linear, background-size .3s .2s linear;
    }

    .container-flex-recherche{
        display: flex;
        flex-direction: column; 
        
        .card-recherche{
            border-bottom: 1px solid rgb(48,48,48);
            margin-bottom: 20px;
        }

        a{
            text-decoration: none;
            margin-left: 20px;
            margin-bottom: 20px;
            vertical-align: super;
            
        }
    }

    .container-flex-panier {
        display: flex;
        flex-direction: column;
    }

    .card-panier {
    display: flex;
    margin-left: 20px;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid white;
   
    
        img{
            object-fit: fill;
            width: 100%;
            height: 100%;
            border-radius: 6px;
            padding-bottom: 10px;
        }
        h2{
            color: white;
        }
        p{
            color:rgba(170,170,170,1); 
        }
        .panier-img{
            width: 20%;
        }
        .panier-trash-icon{
            margin-right: 10px;
            .fa, .fas {
                font-weight: 900;
                color: white;
                font-size: 20px;
                margin-right: 10px;
            }
        }
    }
    div#panier-center {
        text-align: center;
    }
    
    .panier-payment{
        align-self: center;
        margin-top: 20px;

        p{
            color: white;
            text-align: center;
        }

        .btn-panier-payment{
            background-color: #fbeee0;
            border: 2px solid #422800;
            border-radius: 30px;
            box-shadow: #422800 4px 4px 0 0;
            color: #422800;
            cursor: pointer;
            display: inline-block;
            font-weight: 600;
            font-size: 18px;
            padding: 0 18px;
            line-height: 50px;
            text-align: center;
            text-decoration: none;
            user-select: none;
            -webkit-user-select: none;
            touch-action: manipulation;
          }
          
          .btn-panier-payment  {
            background-color: #fff;
          }
          
          .btn-panier-payment {
            box-shadow: #422800 2px 2px 0 0;
            transform: translate(2px, 2px);
          }
    }

    .top-div-page-produit{
        margin-bottom: 10px;
        margin-top: 10px;
        position: relative;

            a{
                text-decoration: none;
                padding-left: 30px;
                font-size: 25px;
            }
            i.fas.fa-arrow-left {
                color: red;
                margin-right: 4px;
            }

          

    }

    .card-page-produit {
        display: flex;

            
        
            p,h1{
                color:rgba(255,299,231);
                margin-left:28px;
                margin-bottom:20px;
                border-bottom: 1px solid white;
                padding-bottom: 10px;
            }
            .img-page-produit {
                margin-left: 20px;
                width: 30%;
                
            }
            .img-page-produit img {
                object-fit: fill;
                width: 100%;
                height: 100%;
                border-radius: 6px;
            }
            .detail-page-produit {
                width: 60%;
            }
            .div-btn-ajout-page-produit{
                text-align: center;
            }
            .btn-ajout-page-produit1, .btn-ajout-page-produit2, .btn-ajout-page-produit4, .btn-ajout-page-produit3{
                background-color: #fbeee0;
                border: 2px solid #422800;
                border-radius: 30px;
                box-shadow: #422800 4px 4px 0 0;
                color: #422800;
                cursor: pointer;
                display: inline-block;
                // font-weight: 600;
                margin-bottom: 10px;
               
                font-size: 1.5vw;
                padding: 0 18px;
                line-height: 50px;
                text-align: center;
                text-decoration: none;
                user-select: none;
                -webkit-user-select: none;
                touch-action: manipulation;
              }
              
              .btn-ajout-page-produit1 {
                background-color: #6643b5;
                a{
                    text-decoration: none;
                }
              }
              .btn-ajout-page-produit2 {
                background-color: #6643b5;
                a{
                    text-decoration: none;
                }
              }
              .btn-ajout-page-produit1, .btn-ajout-page-produit2, .btn-ajout-page-produit4, .btn-ajout-page-produit3 {
                box-shadow: #d9d4cd 2px 2px 0 0;
                transform: translate(2px, 2px);
              }

    }
    

    
    h1.h1-logging {
        text-align: center;
        margin-top: 10%;
        margin-bottom: 10px;

    }
    .container-flex-logging{
        display: flex;
        justify-content: center;

        form input[type=text]{
            border-radius: 24px;
            border: 1px solid gray;
            padding: 15px;
            width: 100%;
        }
        form .form-logging {
            color:rgb(255, 229, 231);
            
        }
        form .labelEmail {
            background-color: gray;
            padding: 14px;
            border-radius: 22px;
            width: 100%;
        }
        form .labelEmail {
            background-color: gray;
            padding: 14px;
            border-radius: 22px;
            width: 100%;
        }
        form input#inputPassword {
            margin-bottom: 10px;
        }
        
        
        form input[type=password]{
            border-radius: 24px;
            border: 1px solid gray;
            background-color: gray;
            padding: 15px;
            width: 100%;
        }

        form input#inputEmail {
            border-radius: 24px;
            border: 1px solid gray;
            background-color: gray;
            padding: 15px;
            width: 100%;
        }

        form input[type=submit]{
            border-radius: 24px;
            border: 1px solid gray;
            background-color: red;
            padding: 15px;
            width: 110%;
        }

        form .btn {
            border-radius: 24px;
            border: 1px solid gray;
            background-color: red;
            padding: 15px;
            width: 110%;
            margin-top: 10px;
        }

        form label.required {
            color:rgb(255, 229, 231);
        }

        .form-logging{
            width: 30%;
        }
        
        a{
            text-decoration: none;
            color:rgb(255, 229, 231)
            
        }
        form a.div-link-register {
            margin-left: 10px;
            font-size: 12px;
        }
        .mdp-oublier{
            text-align: center;
            margin-top: 10px;
            margin-left: 29px;
        }
        input[type="submit"]:hover{ 
        
            cursor: pointer;
        }
        div{
            margin-bottom: 10px;
        }
      
        

    }
    .container-flex-recherche-produit-detail {
        margin-left: 25px;

            p{
                color:rgba(229, 229, 231,1);
                font-size: 1.3rem;
            }
            h1{
                margin-left: 0px;
                font-size: 1.7rem;
            }
            a{
                text-decoration: none;
                font-size: 1.3rem;
            }
            .recherche-produit-detail-title, .recherche-produit-detail-author, .recherche-produit-detail-edition{
                margin-top: 20px;
                padding-bottom: 20px;
                border-bottom: 1px solid rgba(229, 229, 231,1);

            }
            .recherche-produit-detail-author a {
                color: red;
            }
            .recherche-produit-detail-img-box{
                display: flex;
                gap: 20px;
                flex-wrap: wrap;
                margin-top: 20px;
                
            }
            .recherche-produit-detail-img img{
                object-fit: fill;
                width: 100%;
                height: 100%;
                
            }
            .recherche-produit-detail-img{
                width: 20%
            }
            .recherche-produit-detail-title p {
                font-size: 1.2rem;
            }
    }
    .account-page{
        display: flex;
        justify-content: space-around;
        align-items: center;
        padding-bottom: 20px;
       

           a{
            text-decoration: none;
            color: white;
            margin-bottom: 20px;
            font-size: 1.7rem;
           }
           a#btn-donnes-perso {
            color:red;
            background-color: rgb(48, 48, 48);
            border-radius: 8px;
            }
        
            a#btn-commande  {
                color:red;
                background-color: rgb(48, 48, 48);
                border-radius: 8px;
            }
           
        
    }
    .card-account-info{
        border-bottom: 1px solid white;
        margin-bottom: 20px;
        margin-top: 20px;
        margin-left: 20px;
        padding-bottom: 10px;
            p{
                color: white;
            }
            
       }
    .btn-account-info{
        display: flex;
        justify-content: space-around;
        align-items: center;
        margin-top: 20px;

        a{
            text-decoration: none;
            color: white;
            font-size: 1.3rem;
        }
        .btn-logoff{
            color:red;
        }
        
    }
    p.text-commande {
        text-align: center;
    }

    .h2-commande{
        text-align: center;
        margin-top: 0px;
        margin-bottom: 0px;
        
    }
    .card-commande-box {
        margin-bottom: 20px;
        
    }
    form{
        text-align: center;
    }

    a#btn-donnees-personelle  {
        color:red;
        background-color: rgb(48, 48, 48);
        border-radius: 8px;
    }

    a#btn-donnees-commande  {
        color:red;
        background-color: rgb(48, 48, 48);
        border-radius: 8px;
    }


   

   




    // JS //
    // .portfolio-buttons-active {
    //     background-color: rgb(254, 4, 4);
     
    //   }

}

section.mobile-footer {
    padding-top: 2%;
    height:20px; // Replace with the height your footer should be
    width: 100%; // Don't change
    background-image: none;
    background-repeat: repeat;
    background-attachment: scroll;
    background-position: 0% 0%;
    position: fixed;
    bottom: 0pt;
    left: 0pt;
    padding-bottom: 20px;
    display: none;
    
}

ul.nav-footer {
    display: flex;
    justify-content: space-around;
    
    
}

a{
    color: white;
}
i.fas.fa-search.fa-2x {
    font-size: 30px;
    
}
i.far.fa-newspaper.fa-2x {
    font-size: 30px;
}
i.fas.fa-book.fa-2x {
    font-size: 30px;
}
i.fas.fa-shopping-basket.fa-2x {
    font-size: 30px;
}




@media all and (max-width: 600px) {
    .container {
        display: none;
    }
}



// MEDIA QUERY TABLET //
@media screen and (max-width: 992px) {
    aside a {
        // font-size: 14px;
        font-size: 17px;
    }
    i.fas.fa-search.fa-2x {
        font-size: 16px;
    }
    i.far.fa-newspaper.fa-2x {
        font-size: 16px;
    }
    i.fas.fa-book.fa-2x {
        font-size: 16px;
    }
    i.fas.fa-shopping-basket.fa-2x {
        font-size: 16px;
    }
    aside nav li {
        width: 107px;
    }
    aside .account p, aside .account a {
        font-size: 16px;
    }
    i.fas.fa-user-circle {
        font-size: 16px;
    }

    section .card-collection {
        display: flex;
        gap: 20px;
        margin-bottom: 20px;
        margin-left: 10px;
        flex-wrap: wrap;
    }

    section .card-collection-img {
        width: 16%;
    }

    section .recherche-navbar input[type=text] {
        width: 300px;
        
    }

    
    .recherche-input {
        width: 100%;
    }

    section .card-page-produit .btn-ajout-page-produit1, section .card-page-produit .btn-ajout-page-produit2, section .card-page-produit .btn-ajout-page-produit4, section .card-page-produit .btn-ajout-page-produit3 {
        font-size: 16px; 

    }
    section .container-flex-logging form input[type=submit] {
        
        width: 114%;
        margin-top: 10px;
    }
    section .account-page a {
        
        font-size: 1.3rem;
    }
    
   
  

    section .card-page-produit .btn-ajout-page-produit1, section .card-page-produit .btn-ajout-page-produit2, section .card-page-produit .btn-ajout-page-produit4, section .card-page-produit .btn-ajout-page-produit3 {
        font-size: 12px; 
    }  
  }


  // MEDIA QUERY PHONE //

  @media screen and (max-width: 767px) {
    section {
        width: 100%;
        margin-left: 0;
        border-left: none;
    }
    .container {
        /* position: fixed; */
        display: none;
        
    }
    section .card {
        width: 32%;
    }
    section .line {
        border-bottom: none;
    }

    section .card-collection-img + .card-collection-img {
        display: none;
    }

    section .card-collection-img {
        width: 37%;
    }

    section .title-manga-collection {
        color: red;
        font-size: 38px;
        font-weight: bold;
        text-align: center;
        
    }

    section .card-collection {
        display: flex;
        gap: 20px;
        margin-bottom: 20px;
        margin-left: 10px;
        justify-content: center;
        border-bottom: none;
    }

    i.fas.fa-search.fa-2x {
        font-size: 30px;
    }
    i.far.fa-newspaper.fa-2x {
        font-size: 30px;
    }
    i.fas.fa-book.fa-2x {
        font-size: 30px;
    }
    i.fas.fa-shopping-basket.fa-2x {
        font-size: 30px;
    }
    i.fas.fa-user-circle {
        font-size: 30px;
    }
    section.mobile-footer{
        display: block;
    }
    ul.nav-footer {
        padding: 0;
    }

    section .recherche-navbar input[type=text] {
        margin-left: 0px; 
        padding-left: 36px;
        box-sizing: border-box;
    }
    // .recherche-input {
        
    // }
    section .recherche-navbar input[type=text] {
        width: 100%;
    }

    section .recherche-navbar {
        flex-wrap: wrap;
    }
    section .card-panier .panier-img {
        width: 30%;
    }
    section .card-page-produit .detail-page-produit {
        width: 86%;
        padding-bottom: 50px;
    }
    section .card-page-produit {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
    }
    section .card-page-produit .img-page-produit {
        margin-left: 0px;
        width: 70%;
    }
    body.body-page-produit {
        height: 100%;
    }
    //DISPLAY NONE PHONE //
    // JS SLIDER//
    .recherche-produit-detail-img + .recherche-produit-detail-img {
        display: none;  
    }

    section .container-flex-recherche-produit-detail .recherche-produit-detail-img {
        width: 30%;
    }

    .recherche-produit-detail-img-box {
        justify-content: center;
    }
    // JS SLIDER //


    section .card-page-produit .btn-ajout-page-produit1, section .card-page-produit .btn-ajout-page-produit2, section .card-page-produit .btn-ajout-page-produit4, section .card-page-produit .btn-ajout-page-produit3 {
        font-size: 10px; 
    } 
    .panier-trash-icon{
        display: flex;
        flex-direction: column;
        .fa, .fas {
            font-weight: 900;
            color: white;
            font-size: 20px;
            margin-right: 10px;
        }
    } 

  }

  @media screen and (max-width: 640px) {
    section .container-flex-logging form input[type=submit] {
       
        width: 116%;
    }
  }

  @media screen and (max-width: 550px) {
    section .container-flex-logging .mdp-oublier a{
        font-size: 14px;
    }
    section .account-page a {
      
        font-size: 1.1rem;
    }
  }

  @media screen and (max-width: 525px) {
    section .container-flex-logging form input[type=submit] {
       
        width: 120%;
    }
  }

  @media screen and (max-width: 550px) {
    section .container-flex-logging .mdp-oublier a{
        font-size: 12px;
    }
    section .container-flex-recherche-produit-detail .recherche-produit-detail-img {
        width: 40%;
    }
  }

  @media screen and (max-width: 440px) {
    section .container-flex-logging form input[type=submit] {
       
        width: 125%;
    }
    section .container-flex-logging .mdp-oublier a{
        font-size: 10px;
    }
    section .container-flex-recherche-produit-detail .recherche-produit-detail-img {
        width: 50%;
    }
    section .account-page a {
        font-size: 1rem;
    }
  }

  @media screen and (max-width: 400px) {
  section .account-page a {
   
    font-size: 0.9rem;
    }
  }

  @media screen and (max-width: 370px) {
    section .container-flex-logging form input[type=submit] {
       
        width: 129%;
    }
  }